import pyb
import network
import usocket

# The SSID and password of your Wi-Fi AP
ssid = 'YOUR-WIFI-SSID'
password = 'YOUR-WIFI-PASSWORD'

# URL for test
url = 'http://micropython.org/ks/test.html'

def http_get(url):
    _, _, host, path = url.split('/', 3)
    addr = usocket.getaddrinfo(host, 80)[0][-1]
    s = usocket.socket()
    s.connect(addr)
    s.send(bytes('GET /%s HTTP/1.0\r\nHost: %s\r\n\r\n' % (path, host), 'utf8'))
    while True:
        data = s.recv(100)
        if data:
            print(str(data, 'utf8'), end='')
        else:
            break
    s.close()

# Connect to the Wi-Fi AP
wlan = network.WLAN()
wlan.connect(ssid, password)
print('IP address is ', wlan.ifconfig()[0])

# Connect to the test URL
print('Send a request to URL : ', url)

http_get(url)
